Mailinglist Archive: opensuse-factory (807 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170130 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170130

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
gcc
geoclue2 (2.4.4 -> 2.4.5)
libstorage (2.26.10 -> 2.26.11)
php5 (5.6.29 -> 5.6.30)
postgresql95 (9.5.4 -> 9.5.5)

=== Details ===

==== gcc ====
Subpackages: cpp gcc-c++ gcc-fortran gcc-gij gcc-info gcc-java gcc-objc
libstdc++-devel

- Add gcc-devel package.
- Switch gcc to default 6.
- Enable Ada for ppc64le and aarch64.
- Properly query gcc-%gcc_suffix for paths.
- Fix bogus requires to gcc5-c++-{32,64}bit.
- Adjust for GCC 5 package renames.
- Switch gcc to default 5.
- Add gcc-go{,-32bit,-64bit} packages.
- Add gcc-ada-32bit and gcc-ada-64bit packages only if building Ada
- Add gcc-ada-32bit and gcc-ada-64bit packages.
- add a gcc-PIE subpackage, which enables building PIE binaries
by default using the defaults.spec file. bsc#912298
- Add libstdc++-devel-32bit and libstdc++-devel-64bit packages.
[bnc#890226]
- Link to the system compiler LTO plugin from /usr/lib/bfd-plugins.
- Remove gcc-z9 wrapper which is obsolete.
- Move gcc-ar, gcc-nm and gcc-ranlib to the gcc package instead
of packaging them separately.
- Package gcc-ar, gcc-nm and gcc-ranlib wrapping ar, nm and ranlib
in a plugin-aware fashion.
- Switch gcc to default 4.8.
- Re-enable Ada for ppc64.
- Add BuildRequires to gcc$version, required for cc1 path detection.
- Rework gcc-info.
* Install symlinks to the versioned info files and adjust
install_info calls. [bnc#756182]
* Provide uninstall hook that removes the alias entries.
- remove gcc-ada subpackage for those architectures that
don't have a gccXX-ada package
- Switch gcc to default 4.7.
- Change licenses to follow SPDX convention.
- use the target gcc binary for finding the right cc1 path
- Switch gcc to default 4.6.
- Fix licenses to match those of the system compiler. [bnc#670658]
- Fix string quoting. [bnc#666416]
- Uglify spec file formatting.
- Add info directory aliases for unversioned variants of the
GCC user manuals. [bnc#635355]
- Drop libffi packages.
- Fix gcc-c++-32bit and gcc-c++-64bit again.
- Drop c++_compiler provides from gcc-c++-32bit and gcc-c++-64bit.
- Re-add gcc-c++-32bit and gcc-c++-64bit packages.
- Switch gcc to default 4.5.
- Switch gcc default to 4.4.

==== geoclue2 ====
Version update (2.4.4 -> 2.4.5)
Subpackages: typelib-1_0-Geoclue-2_0

- Update to version 2.4.4:
+ Fix a potential crash.

==== libstorage ====
Version update (2.26.10 -> 2.26.11)
Subpackages: libstorage-ruby libstorage7

- Fix out of range exception if root is dm-encrypted (fate#320215)
- 2.26.11

==== php5 ====
Version update (5.6.29 -> 5.6.30)
Subpackages: apache2-mod_php5 php5-bcmath php5-bz2 php5-calendar php5-ctype
php5-curl php5-dba php5-devel php5-dom php5-exif php5-fastcgi php5-ftp php5-gd
php5-gettext php5-gmp php5-iconv php5-imap php5-json php5-ldap php5-mbstring
php5-mcrypt php5-mysql php5-odbc php5-openssl php5-pdo php5-pear
php5-pear-Archive_Tar php5-pgsql php5-shmop php5-snmp php5-sockets php5-sqlite
php5-suhosin php5-sysvsem php5-sysvshm php5-tidy php5-tokenizer php5-wddx
php5-xmlreader php5-xmlwriter php5-xsl php5-zip php5-zlib

- update to 5.6.30: Several security bugs were fixed in this release.

==== postgresql95 ====
Version update (9.5.4 -> 9.5.5)

- Update to version 9.5.5:
* Fix WAL-logging of truncation of relation free space maps and
visibility maps
* Fix incorrect creation of GIN index WAL records on big-endian
machines
* Fix SELECT FOR UPDATE/SHARE to correctly lock tuples that have
been updated by a subsequently-aborted transaction
* Fix EvalPlanQual rechecks involving CTE scans
* Fix deletion of speculatively inserted TOAST tuples when
backing out of INSERT ... ON CONFLICT
* For the other bug fixes, see the release notes:
https://www.postgresql.org/docs/9.5/static/release-9-5-5.html
- Build the libs in 9.6 rather then 9.5.
- Drop baselibs.conf.

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
  • No further messages